Page MenuHomePhabricator

Finish rewriting instrumentation
Closed, ResolvedPublic

Description

AC

New AC:

Event Timeline

phuedx created this task.Dec 2 2016, 6:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2016, 6:12 PM

Change 325284 had a related patch set uploaded (by Phuedx):
Hygiene: Extract shared stub user object

https://gerrit.wikimedia.org/r/325284

Change 325285 had a related patch set uploaded (by Phuedx):
Include user's edit count in BOOT action

https://gerrit.wikimedia.org/r/325285

Change 325286 had a related patch set uploaded (by Phuedx):
Include user's preview count in BOOT action

https://gerrit.wikimedia.org/r/325286

Change 325287 had a related patch set uploaded (by Phuedx):
Increment preview count

https://gerrit.wikimedia.org/r/325287

Change 325283 had a related patch set uploaded (by Phuedx):
Add minimal eventLogging reducer

https://gerrit.wikimedia.org/r/325283

Change 325337 had a related patch set uploaded (by Phuedx):
WIP: Log events

https://gerrit.wikimedia.org/r/325337

Change 325337 abandoned by Phuedx:
Log Popups events

Reason:
Superseded by I8a3f5835.

https://gerrit.wikimedia.org/r/325337

Change 325336 had a related patch set uploaded (by Phuedx):
Hygiene: Organise change listeners

https://gerrit.wikimedia.org/r/325336

Change 325926 had a related patch set uploaded (by Phuedx):
LINK_DWELL starts an interaction

https://gerrit.wikimedia.org/r/325926

Change 325927 had a related patch set uploaded (by Phuedx):
LINK_CLICK logs an "opened" event

https://gerrit.wikimedia.org/r/325927

Change 325928 had a related patch set uploaded (by Phuedx):
{LINK,PREVIEW}_ABANDON_END logs an event

https://gerrit.wikimedia.org/r/325928

phuedx reassigned this task from phuedx to Jhernandez.Dec 9 2016, 6:38 PM

Over to @Jhernandez for initial review. There are two events missing – tapped settings cog and disabled – as T152223: Finish refactoring/implementing tweaked settings workflow isn't yet done.

Change 325283 merged by jenkins-bot:
Initial Popups logging implementation

https://gerrit.wikimedia.org/r/325283

Change 325284 merged by jenkins-bot:
Hygiene: Extract shared stub user object

https://gerrit.wikimedia.org/r/325284

Change 325285 merged by jenkins-bot:
Include user's edit count in BOOT action

https://gerrit.wikimedia.org/r/325285

Change 325286 merged by jenkins-bot:
Include user's preview count in BOOT action

https://gerrit.wikimedia.org/r/325286

Change 325287 merged by jenkins-bot:
Store/update user's preview count

https://gerrit.wikimedia.org/r/325287

Change 325336 merged by jenkins-bot:
Hygiene: Organise change listeners

https://gerrit.wikimedia.org/r/325336

phuedx claimed this task.Dec 12 2016, 1:22 PM
phuedx added a subscriber: Jhernandez.

Pending adding the type property to dismissed events and the version property to all events.

Change 325926 merged by jenkins-bot:
LINK_DWELL starts an interaction

https://gerrit.wikimedia.org/r/325926

Change 325927 merged by jenkins-bot:
LINK_CLICK logs an "opened" event

https://gerrit.wikimedia.org/r/325927

Change 325928 merged by jenkins-bot:
{LINK,PREVIEW}_ABANDON_END logs an event

https://gerrit.wikimedia.org/r/325928

phuedx renamed this task from Finish refactoring instrumentation to Finish rewriting instrumentation.Dec 14 2016, 10:38 AM

@ovasileva: This can be moved out of the sprint as T152004 and T154573 detail work to be done and a known unknown, respectively.

phuedx updated the task description. (Show Details)Jan 4 2017, 6:33 PM
phuedx updated the task description. (Show Details)

@phuedx - should we tag this with the current sprint given the spike is resolved? Or can we resolve?

phuedx closed this task as Resolved.Jan 18 2017, 5:22 PM

The last AC is covered by T151058: Allow users who have navigational popups to use hovercards . Moreover, that task also has a well-defined scope and an estimate.